input_inject_event
Prev | Chapter 28. Input Subsystem | Next

## Name

input_inject_event — send input event from input handler

## Synopsis

`void input_inject_event (` | struct input_handle * | handle,
| unsigned int | type,
| unsigned int | code,
| int | value`)`;

## Arguments

`handle`

  input handle to send event through

`type`

  type of the event

`code`

  event code

`value`

  value of the event

## Description

Similar to `input_event` but will ignore event if device is “grabbed” and handle injecting event is not the one that owns the device.

Prev | Up | Next
input_event | Home | input_allocate_device